org.apache.cassandra.repair

## Class NodePair

- java.lang.Object
- - org.apache.cassandra.repair.NodePair

-     public class NodePair
      extends java.lang.Object

  NodePair is used for repair message body to indicate the pair of nodes.
  Since:
    2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NodePair.NodePairSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetAddress` | `endpoint1`
    `java.net.InetAddress` | `endpoint2`
    `static IVersionedSerializer<NodePair>` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodePair(java.net.InetAddress endpoint1, java.net.InetAddress endpoint2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static IVersionedSerializer<NodePair> serializer

    - #### endpoint1

          public final java.net.InetAddress endpoint1

    - #### endpoint2

          public final java.net.InetAddress endpoint2

  - ### Constructor Detail

    - #### NodePair

          public NodePair(java.net.InetAddress endpoint1,
                          java.net.InetAddress endpoint2)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation